Lists Documents in a DataStore.
HTTP request
GET https://vectorsearch.googleapis.com/v1beta/{parent}/documents
Path parameters
| Parameters | |
|---|---|
parent |
Required. The resource name of the DataStore to list Documents from. Format: |
Query parameters
| Parameters | |
|---|---|
pageSize |
Optional. Requested page size. Server may return fewer items than requested. If unspecified, at most 10 Documents are returned. The maximum value is 1,000; larger values are coerced to 1,000. |
pageToken |
Optional. A token identifying a page of results the server should return. |
filter |
Optional. Not currently supported. A request that sets this field fails with |
orderBy |
Optional. Not currently supported. A request that sets this field fails with |
Request body
The request body must be empty.
Response body
Response message for DocumentService.ListDocuments.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"documents": [
{
object ( |
| Fields | |
|---|---|
documents[] |
The list of Documents. |
nextPageToken |
A token identifying a page of results the server should return. |
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/vectorsearchhttps://www.googleapis.com/auth/vectorsearch.readonly
For more information, see the Authentication Overview.